Bug 720861 - (CVE-2011-2689) CVE-2011-2689 kernel: gfs2: make sure fallocate bytes is a multiple of blksize
CVE-2011-2689 kernel: gfs2: make sure fallocate bytes is a multiple of blksize
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110426,reported=20110713,sou...
: Security
Depends On: 695763 699741 720862 720863 748674
Blocks: 720859
  Show dependency treegraph
 
Reported: 2011-07-12 22:46 EDT by Eugene Teo (Security Response)
Modified: 2015-07-31 09:56 EDT (History)
20 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-04 04:16:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2011-07-12 22:46:21 EDT
The GFS2 fallocate code chooses a target size to for allocating chunks of space. Whenever it can't find any resource groups with enough space free, it halves its target. Since this target is in bytes, eventually it will no longer be a multiple of blksize. As long as there is more space available in the resource group than the target, this isn't a problem, since gfs2 will use the actual space available, which is always a multiple of blksize. However, when gfs couldn't fallocate a bigger chunk than the target, it was using the non-blksize aligned number. This caused a BUG in later code that required blksize aligned offsets.

Upstream commit:
http://git.kernel.org/linus/6905d9e4dda6112f007e9090bca80507da158e63
Comment 3 errata-xmlrpc 2011-07-21 05:21:57 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:1065 https://rhn.redhat.com/errata/RHSA-2011-1065.html
Comment 4 errata-xmlrpc 2011-07-21 07:45:39 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:1065 https://rhn.redhat.com/errata/RHSA-2011-1065.html
Comment 5 Eugene Teo (Security Response) 2011-07-21 22:20:31 EDT
Statement:

This issue did not affect the versions of Linux kernel as shipped with Red Hat Enterprise Linux 4 and Red Hat Enterprise MRG as they did not provide support for the Global File System 2 (GFS2). This has been addressed in Red Hat Enterprise Linux 5 and 6 via https://rhn.redhat.com/errata/RHSA-2011-1065.html and https://rhn.redhat.com/errata/RHSA-2011-1189.html.
Comment 7 errata-xmlrpc 2011-08-23 10:42:32 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1189 https://rhn.redhat.com/errata/RHSA-2011-1189.html
Comment 8 Eugene Teo (Security Response) 2011-10-24 23:48:08 EDT
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 748674]

Note You need to log in before you can comment on or make changes to this bug.